﻿:root {
    --header-height: 60px;
    --footer-height: 60px;
    --dark-bg-color: #1a1a1a;
    --dark-text-color: #e0e0e0;
    --button-bg-color: #333;
    --button-hover-color: #555;
    --dropdown-bg-color: #2a2a2a;
    --dropdown-item-hover: #444;
    --dropdown-selected-color: #90ee90;
    --nav-bg-color: #222;
    --chat-width: 300px;
}


html, body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #181818;
    color: #fff;        
    overflow-x: hidden;
    width: 100%;            
    padding: 0;        
}


header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left:20px;
    padding-right:20px;
    background-color: #222;
    width: 100%;
    height:50px;
    position: relative;
    box-sizing: border-box;
}


    header h1 {
        font-size: 25px;
        background-image: linear-gradient(45deg, #228eeb, #da00ff, #6baae1);
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    header nav {
        display: flex;
        gap: 15px; 
        font-size: 0.8rem;
        justify-content: flex-end;
        flex-grow: 1;
        width: auto;
        min-width: 150px;
        max-width: 50%;
        overflow: hidden;
    
    }

        header nav a {
            text-decoration: none;
            color: #888b88;
            padding: 0;
            white-space: nowrap;
            font-size: 16px; 
            display: flex;
            align-items: center; 
            transition: color 0.3s;
        }

            header nav a:hover {
                color: #ffffff;
            }


#lnkLogin{
    padding-top:8px;
}

.video-title {
    margin-left: 20px; 
    text-align: left;
    font-size: 1.5rem;
    margin-bottom: 10px;
    color: #fff;
    width: 98%;
}

    .video-title h2 {
        font-size: 20px;
    }


.button-sign-up {
    display: inline-block;
    background-color: #914caf; 
    color: #ffffff !important;
    padding: 8px 10px;
    border-radius: 12px;
    text-decoration: none;
    font-size: 1rem;
    font-weight: bold;
    text-align: center;
    transition: background-color 0.3s ease;
}


    /* ------------------------------------   upgrade info ---------------------------------------*/


    .upgrade-info {
        display: flex;
        justify-content: center;
        width: 100%;
        color: #df4747;
        margin-top: 40px;
        margin-bottom:20px;
    }

    .upgrade-link {
        color: #ff2929;
        font-weight: bold;
        text-decoration: none;
    }


    .alert {
        display: flex;
        align-items: center;
        background-color: #efabb1;
        color: #721c24;
        padding: 15px;
        border: 1px solid #efabb1;
        border-radius: 5px;
        width: 90%;
        max-width: 600px;
        font-size: 1rem;
        box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
        margin: 0 auto;
    }


    .alert-icon {
        margin-right: 10px;
        font-size: 1.5rem;
    }

    .sp1 {
        display: inline-block;
    }

    .linkUpgrade {
        text-decoration: none;
        display: block;
        padding: 8px 10px;
        background-color: #cd30c0;
        color: #ffffff;
        border-radius: 5px;
        font-size: 1rem;
        font-weight: bold;
        text-align: center;
        transition: background-color 0.3s ease;
    }



    /* ------------------------------------   /upgrade info ---------------------------------------*/



.player-container {   
    display: block; 
    position: relative;    
    margin: 10px auto;
    width: 60%;
    box-sizing: border-box;
    min-height: auto;
    aspect-ratio: 16 / 9;
    justify-content: center;
}


    .player-container video {
        width: 100%;
        height: 100%;
        display: block;
        border: none;
        background-color: #efabb1;
        object-fit: cover;
    }



#playOverlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100px;
    cursor: pointer;
    z-index: 10;
	opacity:0.6;
}


    /*----------------------------------  icon buttons -----------------------------*/


    .controls {
        display: flex;
        justify-content: space-between;
        width: 98%;
        margin-top: 0 !important;
        padding-top: 0 !important;
        position: relative;
        top: 0;
    }


    .left-controls {
        display: flex;
        gap: 45px;
        padding-left: 10px;
    }


    .center-controls {
        display: flex;
        gap: 15px;
        margin: 0 auto;
        justify-content: center;
    }


    .actions-container {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 15px;
    }

    .action-button {
        display: flex;
        flex-direction: column;
        align-items: center;
        background: none;
        border: none;
        cursor: pointer;
        color: gray;
        padding: 10px;
        border-radius: 8px;
        transition: background-color 0.3s ease, color 0.3s ease;
        font-size: 14px;
        width: 120px;
    }

        .action-button i {
            font-size: 28px;
            margin-bottom: 5px;
        }


        .action-button:hover {
            background-color: #a83232;
            color: white;
        }

#icon_favorite.active {
    color: #a83232;
}

#icon_favorite:hover{
    color:white;
}

.icon-button {
    color: gray;
    font-size: 30px;
    cursor: pointer;
    transition: color 0.3s ease;
    border: none;
    background: none;
}

    .icon-button.like.active,
    .icon-button.dislike.active {
        color: #4CAF50;
    }

.icon-button:hover .material-symbols-outlined {
    color: #d4cbcb; 
}


.material-symbols-outlined {
    font-family: 'Material Symbols Outlined';
    font-weight: normal; 
    font-size: 30px; 
}

   


/*  ------------------------------------------   End Icon buttons --------------------------*/
footer {
    text-align: center;
    padding: 10px 20px;
    background-color: #222;
    position: relative;
    bottom: 0;
    width: 100%;
}

    /* Toast Styles */
    .toast-container {
        position: fixed;
        bottom: 20px;
        left: 20px;
        z-index: 1000;
    }

        .toast-container .toast {
            background-color: #333;
            color: #fff;
            padding: 10px 20px;
            border-radius: 5px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
            opacity: 0;
            transform: translateY(20px);
            transition: opacity 0.5s ease, transform 0.5s ease;
            margin-top: 10px;
            background-color: #45a049;
        }

            .toast-container .toast.show {
                opacity: 1;
                transform: translateY(0);
            }
.mega-files-info {
    width: 60%;
    height: 200px;
    margin: 20px auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    border: 1px solid #ccc;
    padding: 20px;
}


#oldVideoMegaLink{
    font-size:25px;
    color:aquamarine;
    font-weight:bold;
}


#imgVideoPrevia{
    margin:20px auto 20px auto; 
    display:block;
    max-width:90%;
    border:1px solid red;
}


/**************************  Player Controls Extension *********************************/


.header-buttons {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
    padding: 0;
    z-index: 11;
}

.mode-btn {
    border: none;
    border-radius: 5px;
    background-color: var(--button-bg-color);
    color: var(--dark-text-color);
    cursor: pointer;
    font-size: 12px;
    transition: background-color 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .mode-btn:hover {
        background-color: var(--button-hover-color);
    }


.icon-btn .material-symbols-outlined {
    font-size: 24px;
    color: var(--dark-text-color);
}


.playback-speed-dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--dropdown-bg-color);
    min-width: 120px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 100;
    border-radius: 5px;
    padding: 5px 0;
    top: calc(100% + 5px);
    left: 50%;
    transform: translateX(-50%);
    color: var(--dark-text-color);
}


.show-speed-menu {
    display: block;
}

.dropdown-content a {
    color: var(--dark-text-color);
    padding: 8px 16px;
    text-decoration: none;
    display: block;
    font-size: 14px;
    white-space: nowrap;
}

    .dropdown-content a:hover {
        background-color: var(--dropdown-item-hover);
    }

    .dropdown-content a.selected {
        position: relative;
        padding-left: 30px;
        font-weight: bold;
    }

        .dropdown-content a.selected::before {
            content: '✓';
            position: absolute;
            left: 10px;
            color: var(--dropdown-selected-color);
        }


.theater-mode .video-container {
    width: 98%;
    max-width: none;   
}

.theater-mode .video-container video {
    max-height: calc(100vh - var(--header-height) - 40px);
	width:100%;
}

.main-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
}

.video-container {
    width: 80%;
    max-width: 1200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

video {
    width: 100%;
    height: auto;
    max-height: calc(100vh - var(--header-height) - var(--footer-height) - 20px);
}


.controls-new {
    display: flex;
    justify-content: space-between;
    width: 80%;
    margin: 10px auto;
    padding-top: 0 !important;
    position: relative;
    top: 0;
}





@media (max-width: 768px) {



    header nav a {
        font-size: 0.8rem;
    }


    .alert {
        font-size: 0.9rem;
        padding: 10px;
    }

    .alert-icon {
        font-size: 1.2rem;
    }

    .sp1 {
        display: none;
    }


    #playOverlay {
        position: absolute;
        top: 40%;
        transform: translate(-40%, -50%);
        width: 100px; 
        cursor: pointer;
        z-index: 10;
        
    }



    .main-content {
        padding-left: 0;
        padding-right: 0;
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .controls-new {
        flex-direction: column;
        align-items: center;
        gap: 15px;
        width: 100%;
        max-width: none;
        margin: 15px auto;
    }


    .icon-button {
        font-size: 24px;
    }

        .icon-button .material-symbols-outlined {
            font-size: 24px;
        }


    .actions-container {
        padding-left: 80px;
        flex-wrap: wrap;
        gap: 10px;
        width: 100%;
        justify-content: center;
    }

    .action-button {
        padding: 5px;
        font-size: 12px;
        width: 90px;
    }

        .action-button i {
            font-size: 24px;
            margin-bottom: 3px;
        }





    
    header {
        padding-left: 10px;
        padding-right: 10px;
        height: auto;
        flex-wrap: wrap;
    }

    
    .header-buttons {
        position: static;
        transform: none;
        width: auto;
        justify-content: center;
        flex-wrap: wrap;
        gap: 5px;
        margin-top: 5px;
    }

    
    .mode-btn {
        padding: 5px 8px;
        font-size: 12px; 
    }

    .icon-btn .material-symbols-outlined {
        font-size: 18px; 
    }


    header nav {
        flex-grow: 0;
        max-width: none;
        width: auto;
        gap: 10px; 
        min-width: unset;
        order: 3;
    }        

        header nav .material-symbols-outlined {
            font-size: 20px; 
        }

    
    header h1 {
        font-size: 20px;    
        flex-grow: 0;
    }

    

}